Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.admin
Class PluginFilter

    java.lang.Object
      org.jivesoftware.admin.PluginFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class PluginFilter

extends Object
implements javax.servlet.Filter

A servlet filter that plugin classes can use to dynamically register and un-register filter logic. The filter logic that each plugin can register is fairly limited; instead of having full control over the filter chain, each instance of `PluginFilter.SimpleFilter` only has the ability to use the ServletRequest and ServletResponse objects and then return `true` if further filters in the chain should be run.

Author:
  Matt Tucker

Nested Class Summary
`static interface` | `PluginFilter.SimpleFilter` A simplified version of a servlet filter.

Constructor Summary
`PluginFilter()`

Method Summary
`static void` | `addPluginFilter(PluginFilter.SimpleFilter filter)` Adds a filter to the list of filters that will be run on every request.
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, javax.servlet.FilterChain filterChain)`
`void` | `init(javax.servlet.FilterConfig filterConfig)`
`static void` | `removePluginFilter(PluginFilter.SimpleFilter filter)` Removes a filter from the list of filters that will be run on every request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginFilter

    public PluginFilter()

Method Detail

### addPluginFilter

    public static void addPluginFilter(PluginFilter.SimpleFilter filter)

  Adds a filter to the list of filters that will be run on every request. This method should be called by plugins when starting up.

  Parameters:
    `filter` - the filter.

### removePluginFilter

    public static void removePluginFilter(PluginFilter.SimpleFilter filter)

  Removes a filter from the list of filters that will be run on every request. This method should be called by plugins when shutting down.

  Parameters:
    `filter` - the filter.

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### doFilter

    public void doFilter(javax.servlet.ServletRequest servletRequest,
                         javax.servlet.ServletResponse servletResponse,
                         javax.servlet.FilterChain filterChain)
                  throws IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.